##### basic_socket::basic_socket (2 of 10 overloads)

Construct a `basic_socket` without opening it.

    template<
        typename ExecutionContext>
    basic_socket(
        ExecutionContext & context,
        constraint_t< is_convertible< ExecutionContext &, execution_context & >::value >  = 0);

This constructor creates a socket without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.